Date: Fri, 3 Apr 1998 10:08:08 GMT
From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: linux-m68k@lists.linux-m68k.org
In-reply-to: <vyziuorkzc4.fsf@issan.informatik.uni-dortmund.de> (message from
	Andreas Schwab on 03 Apr 1998 11:51:23 +0200)
Subject: Re: L68K: Misc 2.1.90 fixes
Sender: owner-linux-m68k@phil.uni-sb.de


> You missed a few registers:
[...]

Sigh... I'm too fast :-) Here's the corrected version:

--- linux-2.1.90/arch/m68k/kernel/head.S~	Thu Apr  2 08:00:28 1998
+++ linux-2.1.90/arch/m68k/kernel/head.S	Fri Apr  3 12:06:39 1998
@@ -1332,10 +1332,10 @@
 	nop
 	pflusha
 	nop
-	movec	a5,srp
-	movec	a5,urp
+	movec	%a5,%srp
+	movec	%a5,%urp
 	movel	#TC_ENABLE+TC_PAGE4K,%d0
-	movec	d0,tc		/* enable the MMU */
+	movec	%d0,%tc		/* enable the MMU */
 	lea	SYMBOL_NAME(kernel_pg_dir),%a5
 	jmp	%a0@		/* Go to clean up code */
 
@@ -1450,7 +1450,7 @@
 	/* enable superscalar dispatch in PCR */
 	moveq	#1,%d0
 	.chip	68060
-	movec	d0,pcr
+	movec	%d0,%pcr
 
 	jbra	Lcache_done
 Lcache_not_680460:

